Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 599722 - app-office/libreoffice: hidpi scaling broken with wayland
Summary: app-office/libreoffice: hidpi scaling broken with wayland
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Office Team
URL: https://bugs.documentfoundation.org/s...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome-3.22
  Show dependency tree
 
Reported: 2016-11-14 18:45 UTC by Anton Gubarkov
Modified: 2016-11-24 04:59 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
screenshot of calc (Снимок экрана от 2016-11-14 21-44-05.png,170.27 KB, image/png)
2016-11-14 18:45 UTC, Anton Gubarkov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Gubarkov 2016-11-14 18:45:59 UTC
Created attachment 453308 [details]
screenshot of calc

The icons and UI elements are super-big
The workable area of the window is limited to the 1/4th of the screen. 

libreoffice became completely unusable.
Comment 1 Pacho Ramos gentoo-dev 2016-11-15 12:10:44 UTC
Probably related with:
https://bugzilla.redhat.com/show_bug.cgi?id=1370051

But that one seems to affect wayland support, are you using it?
Comment 2 Anton Gubarkov 2016-11-15 12:16:52 UTC
No, I don't. I'm on X session.
Comment 3 Anton Gubarkov 2016-11-15 13:48:33 UTC
After examining my process list, I found out that indeed gnome 3.22 makes the wayland session the default. The session names in gdm are gnome and gnome on X now.
I switched the session to X and libreoffice is back to normal.
Comment 4 Pacho Ramos gentoo-dev 2016-11-16 17:11:50 UTC
(In reply to Anton Gubarkov from comment #3)
> After examining my process list, I found out that indeed gnome 3.22 makes
> the wayland session the default. The session names in gdm are gnome and
> gnome on X now.
> I switched the session to X and libreoffice is back to normal.

In 3.20 I think it was running wayland for gdm, but gnome session was still running on X... maybe we should revert to X as I am unsure how mature was wayland support... but we still have time to decide I guess :/
Comment 5 Gilles Dartiguelongue gentoo-dev 2016-11-23 07:57:14 UTC
Pushed gtk+-3.22.4, please check if it fixes this issue for you.
According to upstream NEWS, it should.
Comment 6 Anton Gubarkov 2016-11-24 04:59:03 UTC
I confirm that upgrading to gtk+-3.22.4 fixes the issue with enourmous UI elements sizes on HiDPI display.